org.apache.xml.dtm.ref

## Class DTMDefaultBaseIterators.DescendantIterator

- java.lang.Object
- - org.apache.xml.dtm.ref.DTMAxisIteratorBase
  - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
    - - org.apache.xml.dtm.ref.DTMDefaultBaseIterators.DescendantIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Direct Known Subclasses:
  DTMDefaultBaseIterators.NthDescendantIterator, DTMDefaultBaseIterators.TypedDescendantIterator

Enclosing class:
  DTMDefaultBaseIterators

    public class DTMDefaultBaseIterators.DescendantIterator
    extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns the descendants of a given node.

### Field Summary

### Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator

`END`

### Constructor Summary

Constructors
Constructor and Description
`DTMDefaultBaseIterators.DescendantIterator()`

### Method Summary

Methods
`int` `next()` Get the next node in the iteration.
`DTMAxisIterator` `reset()` Reset.
`DTMAxisIterator` `setStartNode(int node)` Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

### Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase

`gotoMark, setMark`

### Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase

`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, setRestartable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DTMDefaultBaseIterators.DescendantIterator

    public DTMDefaultBaseIterators.DescendantIterator()

### Method Detail

#### setStartNode

    public DTMAxisIterator setStartNode(int node)

Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

Parameters:
  `node` - Sets the root of the iteration.
Returns:
  A DTMAxisIterator set to the start of the iteration.

#### next

    public int next()

Get the next node in the iteration.

Returns:
  The next node handle in the iteration, or END.

#### reset

    public DTMAxisIterator reset()

Reset.

Specified by:
  `reset` in interface `DTMAxisIterator`
Overrides:
  `reset` in class `DTMAxisIteratorBase`
Returns:
  A DTMAxisIterator which has been reset to the start node, which may or may not be the same as this iterator.